PLaSK library

Loading...
Searching...
No Matches
Classes | Namespaces | Macros | Functions | Variables
gauss_matrix.hpp File Reference
`#include <cstddef>`
`#include <plask/plask.hpp>`
Include dependency graph for gauss_matrix.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | plask::optical::effective::ZgbMatrix
| Oversimple symmetric band matrix structure. More...

## Namespaces
namespace | plask
| Patterson quadrature for complex function along specified line.
namespace | plask::optical
namespace | plask::optical::effective

## Macros
#define | zgbmv F77_GLOBAL(zgbmv,ZGBMV)
#define | zgbtrf F77_GLOBAL(zgbtrf,ZGBTRF)
#define | zgbtrs F77_GLOBAL(zgbtrs,ZGBTRS)

## Functions
F77SUB | zgbmv (const char &trans, const int &m, const int &n, const int &kl, const int &ku, const dcomplex &alpha, dcomplex *a, const int &lda, const dcomplex *x, int incx, const dcomplex &beta, dcomplex *y, int incy)
F77SUB | zgbtrf (const int &m, const int &n, const int &kl, const int &ku, dcomplex *ab, const int &ldab, int *ipiv, int &info)
F77SUB | zgbtrs (const char &trans, const int &n, const int &kl, const int &ku, const int &nrhs, dcomplex *ab, const int &ldab, int *ipiv, dcomplex *b, const int &ldb, int &info)

## Variables
constexpr const int | plask::optical::effective::LD = 7

## Macro Definition Documentation

## ◆ zgbmv

#define zgbmv F77_GLOBAL(zgbmv,ZGBMV)

Definition at line 22 of file gauss_matrix.hpp.

## ◆ zgbtrf

#define zgbtrf F77_GLOBAL(zgbtrf,ZGBTRF)

Definition at line 28 of file gauss_matrix.hpp.

## ◆ zgbtrs

#define zgbtrs F77_GLOBAL(zgbtrs,ZGBTRS)

Definition at line 31 of file gauss_matrix.hpp.

## Function Documentation

## ◆ zgbmv()

F77SUB zgbmv | ( | const char & | trans,
|  | const int & | m,
|  | const int & | n,
|  | const int & | kl,
|  | const int & | ku,
|  | const dcomplex & | alpha,
|  | dcomplex * | a,
|  | const int & | lda,
|  | const dcomplex * | x,
|  | int | incx,
|  | const dcomplex & | beta,
|  | dcomplex * | y,
|  | int | incy
| ) |  |

## ◆ zgbtrf()

F77SUB zgbtrf | ( | const int & | m,
|  | const int & | n,
|  | const int & | kl,
|  | const int & | ku,
|  | dcomplex * | ab,
|  | const int & | ldab,
|  | int * | ipiv,
|  | int & | info
| ) |  |

## ◆ zgbtrs()

F77SUB zgbtrs | ( | const char & | trans,
|  | const int & | n,
|  | const int & | kl,
|  | const int & | ku,
|  | const int & | nrhs,
|  | dcomplex * | ab,
|  | const int & | ldab,
|  | int * | ipiv,
|  | dcomplex * | b,
|  | const int & | ldb,
|  | int & | info
| ) |  |